# Camel Component

Includes settings required for consumer and producers of a Camel endpoint:

| Setting                            | Definition                                       | Example                                  | Default |
| ---------------------------------- | ------------------------------------------------ | ---------------------------------------- | ------- |
| parameter.camelRoute               | Uri for input stream                             | timer://test?fixedRate=true\&period=5000 | -       |
| parameter.exchange                 | Exchange pattern for the stream                  | InOut                                    | -       |
| parameter.camelGetHeaders          | Whether input received should include headers    | true                                     | false   |
| parameter.camelGetProperties       | Whether input received should include properties | true                                     | false   |
| parameter.camelPartitionHeader[^1] | Parameter name for setting message partition     | kafka.PARTITION\_KEY                     | -       |
| parameter.camelKeyHeader[^1]       | Parameter name for setting message key           | kafka.KEY                                | -       |
| parameter.camelOffsetHeader[^1]    | Parameter name for setting message offset        | kafka.OFFSET                             | -       |

[^1]: Can be set at system level as well


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/devops/microservices/building-blocks/data-and-event-streams/camel-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
